// Copyright 1999 Macromedia, Inc. All rights reserved.
function isDOMRequired() { 
  // return true.  This will insert the object into the design view.
  return true;
}

function isAsset() {
	return true;
}

function objectTag(assetArgs) {
  var bDialogState = dw.getShowDialogsOnInsert();
  // Return the html tag that should be inserted
  var theMovie = dw.doURLEncoding(browseForFileURL());
  
  if (assetArgs)
  	theMovie = assetArgs;
  if ((theMovie == '')  && bDialogState) {  return ''; }

  if (!theMovie) theMovie = '.swf';
  return '<OBJECT CLASSID="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"' + 
         ' CODEBASE="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0" WIDTH="32" HEIGHT="32">\n' + 
         '<PARAM NAME=movie VALUE="' + theMovie + '"> <PARAM NAME=quality VALUE=high>\n' +
         '<EMBED SRC="' + theMovie +
         '" quality=high PLUGINSPAGE="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" ' +
         'TYPE="application/x-shockwave-flash" WIDTH="32" HEIGHT="32">'+
         '</EMBED>\n' + 
         '</OBJECT>';
}
